Subject: Re: bug#15839: 24.3.50; `isearch-allow-scroll': be able to scroll point off screen temporarily

From: Michael Heerdegen <[email-masked]>
Date: Sun, 09 Dec 2018 02:13:16 +0100

Juri Linkov <[email-masked]> writes:

> > This isearch-yank-on-move -> 'shift thing is a difficult matter.
> > I'm not sure any more if it's a good idea.  It's confusing if I get
> > a different behavior depending on the current major mode.  As a user
> > I would rather expect that the rule would be that Isearch would test
> > any shift binding to see what the binding without shift is doing,
> > and invoke that if it is a moving command.
>
> This is what this-command-keys-shift-translated was intended to do
> together with ^ in interactive spec.

I don't follow.  If a shifted key, like shift-left, is bound, there is
no shift translation happening.  So your code doesn't kick in because
your condition isn't met, instead of calling the binding of the
unshifted key (left in my example).

Michael.